[PATCH 3/1] base: fix constant resolution under 1.8 for 1.8 bugfix

Eric Wong normalperson at yhbt.net
Tue Dec 22 16:34:15 EST 2009


---
 Oops :x

 lib/rainbows/base.rb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/rainbows/base.rb b/lib/rainbows/base.rb
index 20c7681..a29a5bb 100644
--- a/lib/rainbows/base.rb
+++ b/lib/rainbows/base.rb
@@ -17,7 +17,7 @@ module Rainbows
       # avoid spurious wakeups and blocking-accept() with 1.8 green threads
       if RUBY_VERSION.to_f < 1.9
         require "io/nonblock"
-        LISTENERS.each { |l| l.nonblock = true }
+        HttpServer::LISTENERS.each { |l| l.nonblock = true }
       end
 
       # we're don't use the self-pipe mechanism in the Rainbows! worker
-- 
Eric Wong


More information about the rainbows-talk mailing list